package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrSubcontent;

/**
 * 开车条件确认Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrSubcontentMapper
{
    /**
     * 查询开车条件确认
     *
     * @param id 开车条件确认ID
     * @return 开车条件确认
     */
    public TPssrSubcontent selectTPssrSubcontentById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询开车条件确认列表
     *
     * @param tPssrSubcontent 开车条件确认
     * @return 开车条件确认集合
     */
    
    public List<TPssrSubcontent> selectTPssrSubcontentList(TPssrSubcontent tPssrSubcontent);
    public List<TPssrSubcontent> selectTPssrSubcontentListByForShort(TPssrSubcontent tPssrSubcontent);

    /**
     * 新增开车条件确认
     *
     * @param tPssrSubcontent 开车条件确认
     * @return 结果
     */
    public int insertTPssrSubcontent(TPssrSubcontent tPssrSubcontent);

    /**
     * 修改开车条件确认
     *
     * @param tPssrSubcontent 开车条件确认
     * @return 结果
     */
    public int updateTPssrSubcontent(TPssrSubcontent tPssrSubcontent);
    public int updateTPssrSubcontentByIds(TPssrSubcontent tPssrSubcontent);


    /**
     * 删除开车条件确认
     *
     * @param id 开车条件确认ID
     * @return 结果
     */
    public int deleteTPssrSubcontentById(Long id);

    /**
     * 批量删除开车条件确认
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrSubcontentByIds(Long[] ids);
}
